Subject: Re: bug#7296: display-pixel-height not enough

From: Lennart Borgman <[email-masked]>
Date: Tue, 2 Nov 2010 17:10:32 +0100

On Tue, Nov 2, 2010 at 3:53 PM, Eli Zaretskii <[email-masked]> wrote:
>
>> it is the only way to correctly make an Emacs frame full
>> height or full width or fullscreen or maximized.  It lets the WM do the
>> job, so Emacs doesn't need to count pixels and panels and taskbars and
>> autohide and whatever.
>
> I think the only practical way of doing the same on Windows is to
> exclude the area reserved for the task bar.  It could be that in a few
> rare cases this will produce less pixels than are strictly possible.
> So what are the objections to this (my original suggestion) at this
> point?  To be 100% clear, I suggest:
>
>  . on w32, return the dimensions sans the reserved part(s)
>  . on other GUI platforms, no change from the current behavior

Please see Stefan's objection and my reply to that. In addition to
that I suggest that we clearly document that
display-pixel-height/width returns the total size (even if that seems
self evident to some here).